Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Wed 22 Oct 2014, 21:01
All times are UTC - 4
 Forum index » House Training » Users ( For the regulars )
How to install Lilypond in Puppy after 2.13.42?
Moderators: Flash, Ian, JohnMurga
Post new topic   Reply to topic View previous topic :: View next topic
Page 1 of 1 [14 Posts]  
Author Message
guitar

Joined: 30 Mar 2011
Posts: 2

PostPosted: Wed 30 Mar 2011, 03:25    Post subject:  How to install Lilypond in Puppy after 2.13.42?  

Because of the faster lilypond compilation I prefer puppy-linux.
But since the version 2.13.42 I cannot install lilypond anymore.
As far as version 2.13.41 everything worked perfectly.
http://lilypond.org/download/binaries/
Message in terminal:
Untarring lilypond-2.13.56-1.linux-x86.sh
bzip2: (stdin) is not a bzip2 file
tar: Child died with signal 13
tar: Exiting with failure status due to previous errors
Regards guitar
Back to top
View user's profile Send private message 
GustavoYz


Joined: 07 Jul 2010
Posts: 897
Location: .ar

PostPosted: Wed 30 Mar 2011, 03:36    Post subject:  

Shocked
I doesn't knew that LilyPond was already on 2.13.xx series...
I were using 2.12.3!
Going to check it out to see what happens...

_________________

Back to top
View user's profile Send private message 
charlie6


Joined: 30 Jun 2008
Posts: 1015
Location: South of Belgium

PostPosted: Mon 27 Jun 2011, 07:55    Post subject:
Subject description: lilypond install
 

Hi guitar and gustavoYz !

did you have got further results on lilypond install on Puppy?
did one of you post to the lilypond-users forum?

Here, I got a try on a fresh Dpup-Squeeze-4.99.2 and:
- the last stable lilypond-2.14.1-sh does not install properly:
got the same message error
Code:
bzip2: (stdin) is not a bzip2 file
tar: Child died with signal 13
tar: Exiting with failure status due to previous errors.


I also tried to
#sh lilypond-2.14.1-sh --tarball
to get its tar.bz2 archive; but Xarchiver shows it as empty and
#tar -xvjf lilypond-2.14.1.tar.bz2
returns also
Code:
tar: Child died with signal 4

and
#bzrecover lilypond-2.14.1.tar.bz2
does not bringt anything worth.

- the 2.13.41 version gets installed OK without adding any extra-dependency! ; but the 2.13.42 and following returns the above message error.

Note that 2.13.41 is well that usable (I come from 2.10.33 ...!).

Cheers, Charlie
Back to top
View user's profile Send private message 
Karl Godt


Joined: 20 Jun 2010
Posts: 3972
Location: Kiel,Germany

PostPosted: Mon 27 Jun 2011, 09:37    Post subject:  

Puppy may still have bzip2 --version
bzip2, a block-sorting file compressor. Version 1.0.5, 10-Dec-2007.

But since
6 Sept 2010 (bzip2, version 1.0.6)
does exists .

And according to the page
lilypond-2.13.32-1.linux-x86.sh 03-Sep-2010
lilypond-2.13.33-1.linux-x86.sh 11-Sep-2010

Seems to need a newer bzip2 ??

The 2-15.2-1.tar.gz src extracted still .
Back to top
View user's profile Send private message Visit poster's website 
GustavoYz


Joined: 07 Jul 2010
Posts: 897
Location: .ar

PostPosted: Tue 28 Jun 2011, 00:38    Post subject:  

I've totally forgotten of this issue...Embarassed
I've packed the 'static' version time ago (can't remember the exact number) on Quirky 1.2, which is the one that i'm using.
I'll upload it tomorrow if you want to test it (not at home now).

_________________

Back to top
View user's profile Send private message 
charlie6


Joined: 30 Jun 2008
Posts: 1015
Location: South of Belgium

PostPosted: Tue 28 Jun 2011, 00:57    Post subject:  

#@Karl Godt
thanks for replying !
Again on a fresh install of Dpup Squeezed 4.99:
I downloaded the 1.0.6 version of bunzip2.pet here
http://puppylinux.org/wikka/bzip2

Result:: got the same error message
Back to top
View user's profile Send private message 
Karl Godt


Joined: 20 Jun 2010
Posts: 3972
Location: Kiel,Germany

PostPosted: Tue 28 Jun 2011, 06:42    Post subject:  

Dl'ed the src ,
compiled fine ,
also
Code:
bunzip2 -t -v /COMPILE/Lilypond/lilypond-2.15.2-1.linux-x86.tar.bz2

/COMPILE/Lilypond/lilypond-2.15.2-1.linux-x86.tar.bz2: bad magic number (file not created by bzip2)
You can use the `bzip2recover' program to attempt to recover
data from undamaged sections of corrupted files.

I also looked inside the .pet :
Code:
bzip2recover

is in there .

I ran bzip2recover ../ lilypond-2.15.2-1.linux-x86.tar.bz2

and that created

/COMPILE/Lilypond/rec00002lilypond-2.15.2-1.linux-x86.tar.bz2
...
/COMPILE/Lilypond/rec00066lilypond-2.15.2-1.linux-x86.tar.bz2

66 single .tar.bz2 files .

The first one extracted apparently ok by xarchive with message "Wrapper exited with an error" , but this happens also sometimes after renaming .pet to .tar.gz .

Have not had time to launch a
Code:
for i in * ; do bunzip -v $i ; done
for i in * ; do tar -xf $i ; done
Back to top
View user's profile Send private message Visit poster's website 
charlie6


Joined: 30 Jun 2008
Posts: 1015
Location: South of Belgium

PostPosted: Tue 28 Jun 2011, 23:36    Post subject:  

Hallo Karl Godt,!

still trying to install lilypond-2.14.1.1: browsing the lilypond-users archive shows that only Puppy users have this .sh install problem; and version 2.14.1.1 works OK for other users. So I wonder why it does not install on Puppy.
I tried the .sh install on Dpup Squeezed 4.99 as also on puppy4.20: same results on both distros.


I also used
#sh lilypond-2.14.1.1-x86.sh --tarball
to get the lilypond-2.14.1.1:tar.bz2 archive; and afterwards
# bzip2recover lilypond-2.14.1.1.tar.bz2
here got indeed 66 files among them the rec0001-lilypond-2.14.1.1.tar.bz2 which is not empty: Xarchiver shows files in it - licences copies files and binary ones such as midi2.ly, lilypond, etc... whith their respective sizes (about 3,9 MB for lilypond file);

The other rec0002- to rec0066-lilypond-2.14.1.1.tar.bz2 are shown as empty by Xarchiver.

Xarchiver extracts the binary files in /usr/bin ...! whereas the sh installer would normaly extratcs them into /usr/local/bin ; and the /usr/bin/lilypond binary is not 3.9MB but now much less than 3.9MB (ca. 300K ...!), and off course is not working;

So what?

Cheers, Charlie
Back to top
View user's profile Send private message 
Karl Godt


Joined: 20 Jun 2010
Posts: 3972
Location: Kiel,Germany

PostPosted: Wed 29 Jun 2011, 03:24    Post subject:  

Yes , trying to bunzip2 -v all others worked to leave a .tar and all these following 65 .tar have their relative size , but won't tar -xf .

This is what I got extracting the first .tar by cmdline :

tar -xf /Lilypond/rec00001lilypond-2.15.2-1.linux-x86.tar
tar: Unexpected EOF in archive
tar: Unexpected EOF in archive
tar: Error is not recoverable: exiting now

The lilypond is packaged with 'gub' , that would be the next to google for .
Back to top
View user's profile Send private message Visit poster's website 
charlie6


Joined: 30 Jun 2008
Posts: 1015
Location: South of Belgium

PostPosted: Wed 29 Jun 2011, 14:46    Post subject:  

Hi,
I went to get a try on installing lilypond-2.14.1.1.sh on Mageia see Barry Kauler's blog
http://bkhome.org/blog/?viewDetailed=02310

just did in a terminal
#sh lilypond-x86-2.14.1.1.sh
...got installed like a charm ...
...but the compile of a code.ly file is not that fast as with Puppy ! (referring to using lilypond-2.13.41 which sh install OK on Puppy) ... Wink

What could cause that the very same lilypond-2.14.1.1 version does install OK on another linux distro than Puppy; and that lilypond version prior to 2.13.42 also sh install OK; and later don't ...?

( If I good remeber, it was also the case on puppy3.0.1 with lilypond 2.10.33: no sh install; but well on Puppy 4 and later till 2.13.41).

Charlie
Back to top
View user's profile Send private message 
charlie6


Joined: 30 Jun 2008
Posts: 1015
Location: South of Belgium

PostPosted: Fri 01 Jul 2011, 07:01    Post subject:
Subject description: extract of the lilypond tar.bz2 archive freezes Puppy
 

Hi,
continuing to try to install 2.14.1 on Puppy Dpup-Squeezed-4.99.2:
I got a try doing this: getting the tar.bz2 archive from another distro
1st trial
- downloaded lilypond-x86-2.14.1.sh on another distro than Puppy, i.e. mageia
and there did in a terminal
Code:
#sh lilypond-x86-2.14.1.sh --tarball

and so got lilypond-x86-2.14.1.tar.bz2 20MB;
- copy this lilypond-x86-2.14.1.tar.bz2 to (pfix-ram) a live-cd session of puppy: freespace = 1,7 GB;
- there opened it with Xarchiver: all the files were shown; then extracted them to / ; I then intended to get a try on the test.ly testfile documented on the download page of Lilypond;
from here Puppy got frozen: no longer possible to open Seamonkey nor rox ...nothing! Here tried Ctrl-Alt-Backspace to restart X ....got black screen; then pushed on start button till power down.
2d trial:
- copied the lilypond-x86-2.14.1.tar.bz2 as on 1st trial steps 1 to 2 above;
- in a terminal did
Code:
tar -xf lilypond-x86-2.14.1.tar.bz2

- results: Puppy got froozen as above

3st trial
- installing later version (pets compiled in wary and downloadable from
http://puppylinux.org/wikka/tar and so on )
of tar, grep, bzip2 on Dpup;
- did in a terminal
Code:
#sh lilypond-x86-2.14.1.sh


results: as above posts
Code:
...
 tar:...is not a tar.bz2 file
...


Any idea is welcome,
cheers, Charlie
Back to top
View user's profile Send private message 
guitar

Joined: 30 Mar 2011
Posts: 2

PostPosted: Sun 20 Nov 2011, 04:54    Post subject: How to install Lilypond in Puppy after 2.13.42?
Subject description: Solved
 

Problem is solved with Wary Puppy and Racy Puppy 5.2.2.
Thanks to BarryK !
guitar
Back to top
View user's profile Send private message 
charlie6


Joined: 30 Jun 2008
Posts: 1015
Location: South of Belgium

PostPosted: Thu 08 Mar 2012, 12:09    Post subject:
Subject description: Lilypond 2.14.2 slackware archive installs OK on slacko 5.3.1
 

Hi,
the proposed lilypond 2.14.2 slackware archive (last stable at now 08 feb 2012) - see link below.
This get installed like a charm on slacko5.3.1 (without need of extra dependency).
download here the slackware archive
http://slackware.schoepfer.info/13.37/slackware/ap/lilypond-2.14.2-i686-1jsc.txz

Install it (click on it and answer "yes"),
Now let's run an example (for those who do not know Lilypond - runs only from command line !!) open a terminal and type:
Code:

# cd /usr/share/lilypond/2.14.2/ly/
# lilypond Welcome_to_LilyPond.ly     <--- here press Enter
...
blablibla
...
#

This produces a Welcome_to_LilyPond.pdf file in the same directory.

Files with .ly extensions are text encoded scores.
Go to the lilypond.org website to find more about how to produce music scores !

Also version 2.12.3 debian and ubuntu available archives on the same lilypond.org download page.
So might also run on lupu528 (not tested).

Enjoy !
Charlie
Welcome_to_lilypond.png
Description  example lilypond produced score
png

 Download 
Filename  Welcome_to_lilypond.png 
Filesize  22.53 KB 
Downloaded  197 Time(s) 

Last edited by charlie6 on Mon 12 Mar 2012, 00:39; edited 2 times in total
Back to top
View user's profile Send private message 
charlie6


Joined: 30 Jun 2008
Posts: 1015
Location: South of Belgium

PostPosted: Mon 12 Mar 2012, 00:36    Post subject:
Subject description: sh install
 

Hi,
Result of further tests on Lupu528 and Slacko5.3.1:
1. trying to install the later lilypond-2.14.2-linux-i686.sh fails; same error message as mentionned above in this thread.

2. trying to install the ubuntu and debian archives proposed on the lilypond download page:
both need extra dependencies, so I gave up. Moreover, those archives seem being stripped out of some file (I did not found the example Welcome_to_Lilypond.ly for instance)

Only the proposed slackware works OOTB on slacko as reported in previous post. As also the lilypond sh installer on war and racy (according to forum member guitar -see above - and tested here on last racy).

Cheers, Charlie
Back to top
View user's profile Send private message 
Display posts from previous:   Sort by:   
Page 1 of 1 [14 Posts]  
Post new topic   Reply to topic View previous topic :: View next topic
 Forum index » House Training » Users ( For the regulars )
Jump to:  

You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.0865s ][ Queries: 12 (0.0039s) ][ GZIP on ]